#
# spec file for package python-geomdl
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define archivename NURBS-Python
%define packagename geomdl
Name:           python-geomdl
Version:        5.3.1
Release:        2.5
Summary:        Object-oriented B-Spline and NURBS evaluation library
License:        MIT
URL:            https://github.com/orbingol/NURBS-Python
Source:         https://github.com/orbingol/NURBS-Python/archive/v%{version}.tar.gz#/%{archivename}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM gh#orbingol/NURBS-Python#163
Patch0:         support-numpy-124.patch
BuildRequires:  %{python_module matplotlib >= 2.2.3}
BuildRequires:  %{python_module numpy >= 1.15.4}
BuildRequires:  %{python_module plotly}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-matplotlib >= 2.2.3
Requires:       python-numpy >= 1.15.4
Requires:       python-plotly
BuildArch:      noarch
%python_subpackages

%description
NURBS-Python (geomdl) is a pure Python, self-contained, object-oriented
B-Spline and NURBS spline library.

%prep
%autosetup -p1 -n %{archivename}-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*egg-info
%{python_sitelib}/%{packagename}

%changelog
* Mon Apr  3 2023 Steve Kowalik <steven.kowalik@suse.com>
- Stop skipping Python 3.6.
- Add patch support-numpy-124.patch:
  * Support numpy >= 1.24
* Sun Feb 21 2021 andy great <andythe_great@pm.me>
- Skip python36.
- Update to version 5.3.1.
  * Fix Evaluate Curves and Surfaces outside domain limits
  * Jupyter and Plotly renderer support
* Thu Nov 12 2020 Marketa Machova <mmachova@suse.com>
- Update to 5.3.0
  * Deprecated some methods that produce incorrect results
  * Fixed sample_size computation
  * Minor fixes and documnetation updates
* Thu Aug 27 2020 andy great <andythe_great@pm.me>
- Add license and documentation file.
* Thu Aug 27 2020 andy great <andythe_great@pm.me>
- Initial package release.
